%define    rname freetype
%define    major_version 2

Name:      %{rname}%{major_version}
Summary:   FreeType2
Version:   2.0.6
Release:   1mdk
License:   FTL/GPL
URL:       http://www.freetype.org
Source0:   ftp://ftp.freetype.org/freetype/freetype2/freetype-%{version}.tar.bz2
Source1:   ftp://ftp.freetype.org/freetype/freetype2/ftdocs-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group:     System/Libraries

%package devel
Summary:   Header files and static library for development with FreeType2.
Group:     Development/C
Requires:  %{name} = %{version}

%description
The FreeType2 engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType2 is a library, not a
stand-alone application, though some utility applications are included

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the FreeType2 library.
If you simply want to run existing applications, you won't
need this package.

%prep
%setup -q -n %{rname}-%{version} -a 1
cp -ar %{rname}-%{version}/docs/* docs
find docs -type f -print -exec chmod -x {} \;

%build
# this is not a bug, make needs to be run two times :))
make CC="gcc" CFG="--prefix=%{_prefix}" CFLAGS="$RPM_OPT_FLAGS" unix
%make

%install
%makeinstall 
chmod a+r $RPM_BUILD_ROOT%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc INSTALL docs/
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/freetype-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/*

%changelog
* Tue Jan 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6.
- Added URL.

* Sun Oct 28 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5.
- fixed executable permission on docs files.
- s/Copyright/License/.

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Wed May 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3
- Remove patch0 (Type1 fonts are corrected)

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesot.com> 2.0.2-4mdk
- Spec patch from Abel Cheung to fix build on certain machines 
  (personally I have no idea why it happens).

* Mon Apr 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.2-3mdk
- patched t1load patch (Arnd Bergmann).

* Mon Apr 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.2-2mdk
- added Tom Kacvinsky patch to fix problem with ancient URW fonts,
  libXft segfaults, etc. (thanks to Arnd Bergmann).

* Sat Mar 31 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2 final.
- removedft2build patch.

* Mon Dec 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-0.20001211.1mdk
- Snapshot version from CVS (needed for xrender)
- Patch ft2build.h to use correct path (Fred Lepied)
- Remove patch1 (not longer needed)
- Remove patch2 (merged upstream)

* Sat Dec 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.1-1mdk
- new and shiny source bumped into cooker.
- obsolete patch as the bug is fixed.
- use RPM_OPT_FLAGS.

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-3mdk
- Include all modules in lib (no longer apply patch1)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Add config script to devel package
- correctly configure package

* Fri Nov 10 2000 Geoffrey Lee <snailtalk@manrakesoft.com> 2.0-1mdk
- really 2.0 release.

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-0.8.1mdk
- First mandrake release

* Thu Oct  5 2000 Ramiro Estrugo <ramiro@eazel.com>
- Created this thing
